# Project Types Project Types ## Gets all of the project types in the system. - [GET /projectTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/listprojecttypes.md): This method will scan all project types and and return them to the caller. ## Creates a new project type record that does not already exist. - [POST /projectTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/createprojecttype.md): This method will auto-generate an ID and create a new project type. If an ID is specified for the project type, an error will be thrown. ## Execute Batch Operations - [POST /projectTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a project type from the system by its ID. - [DELETE /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/deleteprojecttype.md): This method will delete a project type with the specified ID. ## Returns a project type from the system by its ID. - [GET /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/getprojecttype.md): This method will look up a project type by the specified ID and return it back. ## Partially updates a project type with the specified ID. - [PATCH /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/patchprojecttype.md): This method will patch an existing project type with the specified ID, using the HTTP PATCH specification. ## Updates a project type with the specified ID. - [PUT /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/updateprojecttype.md): This method will update an existing project type with the specified ID.